version: "3"

services:
  aplicacao:
    build: .
    ports:
      - "8501:8501"
    secrets:
      - database_config
    environment:
      - DATABASE_CONFIG_FILE=/run/secrets/database_config
    volumes:
      - .:/app/

secrets:
  database_config:
    file: ./database_config.json